Skip to main content
GET
List Calls

Headers

string
required
Your API key for authentication.
string
Use your own Twilio account and only return inbound numbers associated with that account sid (optional).

Query Parameters

string
Filter calls by the number they were dispatched from.The number that initiated the call - the user’s phone number for inbound calls, or the number your AI Agent called from for outbound calls.
string
Filter calls by the number they were dispatched to.The number that answered the call - the user’s phone number for outbound calls, or your AI Agent’s number for inbound calls.
int
The starting index (inclusive) for the range of calls to retrieve.
int
The ending index for the range of calls to retrieve.
int
default:"1000"
The maximum number of calls to return in the response.
boolean
default:"false"
Whether to sort the calls in ascending order of their creation time.
string
Get calls including and after a specific date. Format: YYYY-MM-DD
string
Get calls including and before a specific date. Format: YYYY-MM-DD
string
Get calls for a specific date. Can’t be used with end_date or start_date. Format: YYYY-MM-DD
boolean
Whether to filter calls by complete status.
string
Get calls from a specific batch.
string
Filter by answered_by type. Example: human
boolean
Whether to filter based on inbound or not.
float
Duration (Call Length) greater than the value provided. Example: 0.5 (This would be equal to half a minute)
float
Duration (Call Length) less than the value provided. Example: 0.5 (This would be equal to half a minute)
string
Get calls for a specific campaign id.

Response

integer
The total number of calls that match the query filters. This number may be greater than the number of calls returned in the response.For example:
  • If you have 10,000 calls, and don’t include any filters, the total_count will be 10,000.
  • If you have 10,000 calls and 9,000 of them match the query, the total_count will be 9,000 regardless of the number of calls returned in the response.
integer
The number of calls returned in the response.
array
An array of call data objects. See the Call section for details.Note: Individual call transcripts are not included due to their size.